Skip to main content
POST
/
api
/
v1
/
custom_pipelines
/
{pipeline_id}
/
restore
Restore Custom Pipeline
import requests

url = "https://www.datalab.to/api/v1/custom_pipelines/{pipeline_id}/restore"

payload = { "team_id": "123" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/x-www-form-urlencoded"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Path Parameters

pipeline_id
string
required

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Body

application/x-www-form-urlencoded
team_id
integer
required

Team ID that owns the pipeline

Response

Successful Response